
/*********************************************
*                 CRIATECNO                  *
*            www.criatecno.com.br            *
*********************************************/

// Atividade 31 - Seguidor de linha

#include <Servo.h>
Servo servoDireito;
Servo servoEsquerdo;
int fotoresistorDireito = 1;
int fotoresistorEsquerdo = 0;
int motorDireito = 7;
int motorEsquerdo = 8;
int valorFotoresistorDireito;
int valorFotoresistorEsquerdo;
int valorLuzDireito;
int valorLuzEsquerdo;
int limite = 5;
int tempoFrente = 60;
int tempoDireita = 60;
int tempoEsquerda = 60;
void setup() {
  servoDireito.attach(motorDireito);
  servoEsquerdo.attach(motorEsquerdo);
}
void loop() {
  valorFotoresistorDireito = analogRead(fotoresistorDireito);
  valorFotoresistorEsquerdo = analogRead(fotoresistorEsquerdo);
  valorLuzDireito = map(valorFotoresistorDireito, 0, 1023, 0, 100);
  valorLuzEsquerdo = map(valorFotoresistorEsquerdo, 0, 1023, 0, 100);
  if (abs(valorLuzDireito - valorLuzEsquerdo) > limite) {
    if (valorLuzDireito > valorLuzEsquerdo) {
      servoDireito.writeMicroseconds(1850); 
      servoEsquerdo.writeMicroseconds(1500);
      delay(tempoDireita); 
    }
    if (valorLuzDireito < valorLuzEsquerdo) {
      servoDireito.writeMicroseconds(1500); 
      servoEsquerdo.writeMicroseconds(1150);
      delay(tempoEsquerda); 
    }
  }
  else {
    servoDireito.write(1850); 
    servoEsquerdo.write(1150); 
    delay(tempoFrente); 
  }
}
